##
## odf-converter integrator
## Copyright (c) 2008 by Andrew Ziem.  All rights reserved.
## this .spec has parts from OpenOffice.org itself
## http://katana.oooninja.com/w/odf-converter-integrator
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.
##



Name:           odf-converter-integrator
Version:        0.2.3
Release:        2%{?dist}
Packager:       Jaroslaw.Polok@cern.ch
Vendor:         CERN, http://cern.ch/linux
Summary:        Convert Office 2007 (OOXML) files for OpenOffice.org

Group:          Office
License:        GPLv3
URL:            http://katana.oooninja.com/w/odf-converter-integrator
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:  i386

%description
A utility to convert Microsoft Office 2007 (Office Open XML) files and
automatically start OpenOffice.org. Registers file types and mime
types such as .docx, .xlsx, and .pptx so that Nautilus, Firefox, and 
other programs automatically recognize them.

%prep
%setup -n %{name}-%{version}

%install
mkdir -p $RPM_BUILD_ROOT/usr/
cp -rv usr/*  $RPM_BUILD_ROOT/usr/

%clean
rm -rf %{buildroot}

%post
# %post* copied from OpenOffice.org 2.4.0 and modified for odf-converter-integrator

# run always, since there are versions of this package that did not include
# a shared-mime-info xml file
if [ -x /usr/bin/update-mime-database ]; then
  update-mime-database /usr/share/mime
fi

# update /etc/mime.types
# backing out existing entries to avoid duplicates
# FIXME: macro types
sed '
/application\/vnd\.openxmlformats-officedocument\./d
' /etc/mime.types 2>/dev/null >> /etc/mime.types.tmp$$

# now append our stuff to the temporary file
# FIXME: macro types
cat >> /etc/mime.types.tmp$$ << END
application/vnd.openxmlformats-officedocument.presentationml.presentation pptx
application/vnd.openxmlformats-officedocument.presentationml.slideshow ppsx
application/vnd.openxmlformats-officedocument.presentationml.template potx
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet xlsx
application/vnd.openxmlformats-officedocument.spreadsheetml.template xltx
application/vnd.openxmlformats-officedocument.wordprocessingml.document docx
application/vnd.openxmlformats-officedocument.wordprocessingml.template dotx
END

# and replace the original file
mv -f /etc/mime.types.tmp$$ /etc/mime.types 2>/dev/null

# update /etc/mailcap only at initial install
if [ "$1" = 1 ]
then
  # backing out existing entries to avoid duplicates
  sed '
/^# odf-converter-integrator/d
/^application\/vnd\.openxmlformats-officedocument\./d
' /etc/mailcap 2>/dev/null >> /etc/mailcap.tmp$$

  # now append our stuff to the temporary file
  cat >> /etc/mailcap.tmp$$ << END
# odf-converter-integrator
application/vnd.openxmlformats-officedocument.presentationml.presentation; odf-converter-integrator %s
application/vnd.openxmlformats-officedocument.presentationml.slideshow; odf-converter-integrator %s
application/vnd.openxmlformats-officedocument.presentationml.template; odf-converter-integrator %s 
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet; odf-converter-integrator %s 
application/vnd.openxmlformats-officedocument.spreadsheetml.template; odf-converter-integrator %s 
application/vnd.openxmlformats-officedocument.wordprocessingml.document; odf-converter-integrator %s 
application/vnd.openxmlformats-officedocument.wordprocessingml.template; odf-converter-integrator %s 
END

  # and replace the original file
  mv -f /etc/mailcap.tmp$$ /etc/mailcap
fi

if [ -x /usr/bin/update-desktop-database ]; then
	update-desktop-database -q /usr/share/applications
fi

# seems to be required only for old Linux distributions
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus || true ; fi

%preun
# remove from /etc/mailcap only on de-install
if [ "$1" = 0 ]
then
  # backing all entries pointing to our binary
  sed '/odf-converter-integrator/d' /etc/mailcap 2>/dev/null >> /etc/mailcap.tmp$$

  # and replace the original file
  mv -f /etc/mailcap.tmp$$ /etc/mailcap
fi


%postun
if [ -x /usr/bin/update-desktop-database ]; then
	update-desktop-database -q /usr/share/applications
fi
if [ -x /usr/bin/update-mime-database ]; then
	update-mime-database /usr/share/mime
fi
# seems to be required only for old Linux distributions
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus || true ; fi



%files
%defattr(-,root,root,-)
%doc
%{_bindir}/OdfConverter
%{_bindir}/odf-converter-integrator
/usr/lib/menu/odf-converter-integrator
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/mimelnk/application/*.desktop
%changelog
